rpms/SDL/F-11 repackage.sh, NONE, 1.1 SDL.spec, 1.65, 1.66 sources, 1.16, 1.17

Thomas Woerner twoerner at fedoraproject.org
Wed Mar 24 10:41:23 UTC 2010


Author: twoerner

Update of /cvs/pkgs/rpms/SDL/F-11
In directory cvs01.phx2.fedoraproject.org:/tmp/cvs-serv2740

Modified Files:
	SDL.spec sources 
Added Files:
	repackage.sh 
Log Message:
- added repackage.sh script to remove joyos2,h and symbian.zip because of
  licensing problems
- added comment about riva_mmio.h license




--- NEW FILE repackage.sh ---
#!/bin/bash
#
# Copyright (C) 2010 Red Hat, Inc.
# Authors:
# Thomas Woerner <twoerner at redhat.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

version=$1
[ -z "$version" ] && { echo "Usage: $0 <version>"; exit 1; }

# files to be removed without the main SDL-<version>/ prefix
declare -a REMOVE
REMOVE[${#REMOVE[*]}]="src/joystick/os2/joyos2.h"
REMOVE[${#REMOVE[*]}]="symbian.zip"

# no changes below this line should be needed

orig="SDL-${version}"
orig_tgz="${orig}.tar.gz"
repackaged="${orig}_repackaged"
repackaged_tar="${repackaged}.tar"
repackaged_tgz="${repackaged_tar}.gz"

# pre checks
[ ! -f "${orig_tgz}" ] && { echo "ERROR: ${orig_tgz} does not exist"; exit 1; }
[ -f "${repackaged_tgz}" ] && { echo "ERROR: ${repackaged_tgz} already exist"; exit 1; }

# repackage
failure=0
gzip -dc "${orig_tgz}" > "${repackaged_tar}"
for file in "${REMOVE[@]}"; do
    tar -f "${repackaged_tar}" --delete "${orig}/${file}" >> repackage.log
    [ $? != 0 ] && { echo "ERROR: Could not remove file ${orig}/${file} from archive."; failure=1; } || echo "Removed ${orig}/${file} from archive."
done
[ $failure != 0 ] && { echo "See repackage.log for details."; exit 1; }
gzip -9 -n "${repackaged_tar}"

# post checks
RET=0
for file in "${REMOVE[@]}"; do
    found=$(tar -ztvf "${repackaged_tgz}" | grep "${file}")
    [ -n "$found" ] && { echo "ERROR: file ${file} is still in the repackaged archive."; RET=1; }
done

[ $RET == 0 ] && echo "Sucessfully repackaged ${orig}: ${repackaged_tgz}"

exit $RET


Index: SDL.spec
===================================================================
RCS file: /cvs/pkgs/rpms/SDL/F-11/SDL.spec,v
retrieving revision 1.65
retrieving revision 1.66
diff -u -p -r1.65 -r1.66
--- SDL.spec	7 Apr 2009 15:03:53 -0000	1.65
+++ SDL.spec	24 Mar 2010 10:41:23 -0000	1.66
@@ -1,9 +1,15 @@
 Summary: A cross-platform multimedia library
 Name: SDL
 Version: 1.2.13
-Release: 9%{?dist}
-Source: http://www.libsdl.org/release/%{name}-%{version}.tar.gz
+Release: 9.1%{?dist}
+# Source: http://www.libsdl.org/release/%{name}-%{version}.tar.gz
+# To create the repackaged archive use repackage.sh %{version}
+Source: http://www.libsdl.org/release/%{name}-%{version}_repackaged.tar.gz
+# The license of the file src/video/fbcon/riva_mio.h is bad, but the contents
+# of the file has been relicensed to MIT in 2008 by Nvidia for the 
+# xf86_video-nv driver, therefore it can be considered ok.
 Source1: SDL_config.h
+Source2: repackage.sh
 Patch0: SDL-1.2.10-byteorder.patch
 Patch17: SDL-1.2.13-libdir.patch
 Patch21: SDL-1.2.12-multilib.patch
@@ -142,6 +148,11 @@ rm -rf %{buildroot}
 %{_libdir}/lib*.a
 
 %changelog
+* Wed Mar 24 2010 Thomas Woerner <twoerner at redhat.com> 1.2.13-9.1
+- added repackage.sh script to remove joyos2,h and symbian.zip because of
+  licensing problems
+- added comment about riva_mmio.h license
+
 * Tue Apr  7 2009 Thomas Woerner <twoerner at redhat.com> 1.2.13-9
 - fixed qemu-kvm segfaults on startup in SDL_memcpyMMX/SSE (rhbz#487720)
   upstream patch


Index: sources
===================================================================
RCS file: /cvs/pkgs/rpms/SDL/F-11/sources,v
retrieving revision 1.16
retrieving revision 1.17
diff -u -p -r1.16 -r1.17
--- sources	7 Jan 2008 18:03:23 -0000	1.16
+++ sources	24 Mar 2010 10:41:23 -0000	1.17
@@ -1 +1,2 @@
 c6660feea2a6834de10bc71b2f8e4d88  SDL-1.2.13.tar.gz
+d391b5179bc993da0e33637781b3ade8  SDL-1.2.13_repackaged.tar.gz



More information about the scm-commits mailing list